SQLITE_ROLLBACK(3)

NAME
SQLITE_ROLLBACK, SQLITE_FAIL, SQLITE_REPLACE - Conflict resolution modes

SYNOPSIS
#include <sqlite.h>
#define SQLITE_ROLLBACK
#define SQLITE_FAIL
#define SQLITE_REPLACE

DESCRIPTION
These constants are returned by sqlite3_vtab_on_conflict() to inform a virtual table implementation what the ON CONFLICT mode is for the SQL statement being evaluated.

Note that the SQLITE_IGNORE constant is also used as a potential return value from the sqlite3_set_authorizer() callback and that SQLITE_ABORT is also a result code.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 8768.

    #define SQLITE_ROLLBACK 1
    /* #define SQLITE_IGNORE 2 // Also used by sqlite3_authorizer() callback */
    #define SQLITE_FAIL     3
    /* #define SQLITE_ABORT 4  // Also an error code */
    #define SQLITE_REPLACE  5

SEE ALSO
sqlite3_set_authorizer(3), sqlite3_vtab_on_conflict(3), SQLITE_OK(3), SQLITE_DENY(3)